Name:           adevs
Version:        2.8.1
Release:        13%{?dist}
Summary:        C++ library for constructing discrete event simulation
License:        LGPLv2+
URL:            http://www.ornl.gov/~1qn/adevs/
Source0:        http://www.ornl.gov/~1qn/adevs/adevs.tar.gz
# Fixes soname version.
BuildRequires:  gcc-c++
BuildRequires:  tcl
BuildRequires:  latex2html

%description
Adevs (A Discrete EVent System simulator) is a C++ library for constructing
discrete event simulations based on the Parallel DEVS and Dynamic DEVS
(dynDEVS) formalisms. DEVS has been applied to the study of social systems,
ecological systems, computer networks and computer architecture, military
systems at the tactical and theater levels, and in many other areas

%package devel
Summary:        C++ library for constructing discrete event simulations
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
Header files and development libraries for adevs package.
Adevs (A Discrete EVent System simulator) is a C++ library for constructing
discrete event simulations based on the Parallel DEVS and Dynamic DEVS
(dynDEVS) formalisms.

%package doc
Summary:        API docs and examples for adevs
License:        LGPLv2+ and GPL+ 
BuildArch:      noarch
Requires:       %{name} = %{version}-%{release}

%description doc
Manual, doxygen generated API documentation and C++ examples for Adevs
library.

%prep
%setup -q -n %{name}-%{version}

%build
export CFLAGS="%{optflags}"

pushd src
make %{_smp_mflags} adevs OPTFLAG=
popd

pushd docs
make html_manual
rm -f manual/*.aux manual/*.out manual/*.dvi manual/*.log manual/*.toc
popd

find examples -type f -exec sed -i 's/\r//' {} \;
find examples -type f -exec chmod -x {} \;

%check
pushd test
make check_cpp
OMP_NUM_THREADS=4 make check_par
popd

%install
install -m 755 -d %{buildroot}%{_includedir}/adevs
install -p -m 644 -t %{buildroot}%{_includedir}/adevs include/*.h

pushd src
make install DESTDIR=%{buildroot}%{_libdir}
popd

# java support is not enabled yet...
rm -r ./examples/java_life

%ldconfig_scriptlets

%files
%doc README
%{_libdir}/libadevs.so.*

%files devel
%{_includedir}/adevs
%{_libdir}/libadevs.so

%files doc
%doc docs/api docs/manual examples

%changelog
* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.8.1-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.8.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.8.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.8.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.8.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon May 15 2017 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.8.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.8.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.8.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Jun 16 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.8.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 2.8.1-4
- Rebuilt for GCC 5 C++11 ABI change

* Fri Aug 15 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.8.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.8.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Apr 16 2014 Jan Kaluza <jkaluza@redhat.com> - 2.8.1-1
- update to new version 2.8.1

* Wed Jan 22 2014 Jan Kaluza <jkaluza@redhat.com> - 2.8-1
- update to new version 2.8

* Fri Oct 04 2013 Jan Kaluza <jkaluza@redhat.com> - 2.7-4
- enable docs regeneration again (#991957)

* Thu Aug 22 2013 Jan Kaluza <jkaluza@redhat.com> - 2.7-3
- workaround (temporarily) #991957 by not regenerating docs

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jul 08 2013 Jan Kaluza <jkaluza@redhat.com> - 2.7-1
- updated to new version 2.7

* Tue Jun 18 2013 Jan Kaluza <jkaluza@redhat.com> - 2.6-4
- fix building tests with the newest g++

* Mon Jun 17 2013 Jan Kaluza <jkaluza@redhat.com> - 2.6-3
- rename -docs package to -doc

* Wed Jun 12 2013 Jan Kaluza <jkaluza@redhat.com> - 2.6-2
- add docs, run tests during the build, build with openmp

* Thu Jun 06 2013 Jan Kaluza <jkaluza@redhat.com> - 2.6-1
- Initial Fedora packaging
